Name: koffice-i18n-ru
Version: 1.3.2
Release: alt1

Group: Graphical desktop/KDE
Summary: Russian language support for koffice
License: GPL
Url: http://www.kde.org/

Provides: koffice-i18n-lang = %version-%release
Obsoletes: koffice-i18n-Russian
Requires: koffice

Source: koffice-i18n-ru-%version.tar.bz2
#Source: %name-1.2.93.tar.bz2
Source1: admin.tar.bz2
Source2: koffice-docs-ru.tar.bz2

Patch1: new-docs-compile.patch

BuildArch: noarch
BuildRequires: kdelibs libarts-devel xml-utils

%description
Russian language support for koffice.

%prep
%setup -q -n kde-i18n-ru-%version -a1
#%setup -q -n %name-1.2.93 -a1
%patch1 -p1
rm -rf docs/koffice
pushd docs
tar xfj %SOURCE2
popd

make -f admin/Makefile.common cvs ||:

%build
%configure
%make_build

%install
%make install DESTDIR=%buildroot
for f in kdgantt.mo
do
    rm -f %buildroot/%_datadir/locale/*/LC_MESSAGES/$f
done

%files
%lang(ru) %_datadir/locale/ru/LC_MESSAGES/*.mo
%lang(ru) %_docdir/HTML/ru
#%lang(ru) %_datadir/apps/koffice/autocorrect/ru.xml

%changelog
* Thu Jul 08 2004 Sergey V Turchin <zerg at altlinux dot org> 1.3.2-alt1
- new version
- update Russian documentation from HEAD

* Thu May 06 2004 Sergey V Turchin <zerg at altlinux dot org> 1.3.1-alt1
- new version

* Sat Mar 20 2004 Sergey V Turchin <zerg at altlinux dot org> 1.3.0-alt1
- 1.3 release

* Tue Oct 07 2003 Sergey V Turchin <zerg at altlinux dot org> 1.3.0-alt0.1.beta4
- new version

* Mon Jan 13 2003 Sergey V Turchin <zerg@altlinux.ru> 1.2.1-alt3
- new version

* Fri Nov 29 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2-alt3
- update from cvs

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2-alt2
- Final

* Mon Aug 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2-alt1.rc1
- new version

* Wed Jun 19 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.1-alt3
- Removed requires to locales-ru

* Tue Jan 15 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.1-alt2
- add Requires koffice

* Wed Dec 19 2001 Sergey V Turchin <zerg@altlinux.ru> 1.1.1-alt1
- new version

* Fri Nov 23 2001 Sergey V Turchin <zerg@altlinux.ru> 1.1-alt1
- initial spec
